### Function

# RB check_dir_has_space

#### Declaration [src]

    gboolean
    rb_check_dir_has_space (
      GFile* dir,
      guint64 bytes_needed
    )

#### Description [src]

Checks that the filesystem holding `file` has at least `bytes_needed` bytes available.

#### Parameters

`dir`

  Type: `GFile`

  A `GFile` to check.

  The data is owned by the caller of the function.

`bytes_needed`

  Type: `guint64`

  Number of bytes to check for.

#### Return value

Type: `gboolean`

`TRUE` if enough space is available.